Imports channel reading (interval) data from a base64-encoded delimited text file
Use this endpoint to import interval data readings for meter channels. The file must be a
base64-encoded delimited text file with UTF8 character set. Either a profileCode or an
inlineProfile must be provided to define the file structure mapping. If the customer has
the ESA Interval Data license, the import is forwarded to the ESA Reading Import service.
The import runs asynchronously — use GET /task/{guid} to check progress and results.
Requires Interval Data Manage permission.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Request Body
ReadingImportRequest
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| autoCreateChannels | Create new channels if they don’t exist? | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| data | The base64 encoded file. Required | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| importNote | Optional note/comment. | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| inlineProfile | ReadingImportProfile | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ReadingImportProfile properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| profileCode | A reading import data profile code. | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Request Body
{ "autoCreateChannels": false, "data": "string", "importNote": "string", "inlineProfile": { "channelImportIdColumnNumber": 1, "channelIntervalInSeconds": 1, "dataMapping": [
{ "columnNumber": 1, "observationTypeCode": "string", "unitCode": "string"
}
], "dateColumnNumber": 1, "dateFormat": "string", "delimiter": "string", "estimated": { "columnNumber": 1, "indicator": "string"
}, "meterImportIdColumnNumber": 1, "noteColumnNumber": 1, "numberOfColumns": 1, "numberOfHeaderRows": 1, "timeColumnNumber": 1, "timeFormat": "string", "timeZoneId": 1, "timestampColumnNumber": 1, "timestampFormat": "string"
}, "profileCode": "string"
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
GuidResponse
| Property | Description | Type |
|---|---|---|
| taskGUId | A guid that identifies the current task | string (uuid) |
Example Response
{ "taskGUId": "string"
}